#pragma once

#include "config.h"


#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

	typedef void(__stdcall *ReaderCallbackFunc)(const char* data, unsigned int size);

	IPC_EXPORT bool __stdcall initialize(const char* sender_name, const char* receiver_name);
	IPC_EXPORT void __stdcall uninitialize();

	IPC_EXPORT void __stdcall reConnect();
	IPC_EXPORT bool __stdcall listen();
	IPC_EXPORT bool __stdcall send(const char* data, unsigned int size);
	IPC_EXPORT bool __stdcall setReaderCallback(ReaderCallbackFunc callback);

#ifdef __cplusplus
}
#endif // __cplusplus
